Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Class TextDatabase.CSVCurser

    java.lang.Object
      |
      +--com.mwc.sqld.db.TextDatabase.CSVCurser

All Implemented Interfaces:
  Curser, ValueLookup

Enclosing class:
  TextDatabase

public class TextDatabase.CSVCurser
extends java.lang.Object
implements Curser

Constructor Summary
`TextDatabase.CSVCurser(java.io.File f, java.lang.String[][] cols, int recCount)`

Method Summary
`boolean` | `close()`
`java.lang.String[][]` | `cols()`
`java.lang.String` | `getType(java.lang.String colName)`
`java.lang.String` | `getValue(int index)`
`java.lang.String` | `getValue(java.lang.String colName)`
`boolean` | `next()`
`int` | `recCount()`
`boolean` | `reset()`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDatabase.CSVCurser

    public TextDatabase.CSVCurser(java.io.File f,
                                  java.lang.String[][] cols,
                                  int recCount)
                           throws java.io.IOException

Method Detail

### cols

    public java.lang.String[][] cols()

  Specified by:
    `cols` in interface `ValueLookup`

### size

    public int size()

  Specified by:
    `size` in interface `ValueLookup`

### reset

    public boolean reset()

  Specified by:
    `reset` in interface `Curser`

### next

    public boolean next()

  Specified by:
    `next` in interface `Curser`

### getValue

    public java.lang.String getValue(java.lang.String colName)

  Specified by:
    `getValue` in interface `ValueLookup`

### getValue

    public java.lang.String getValue(int index)

  Specified by:
    `getValue` in interface `ValueLookup`

### getType

    public java.lang.String getType(java.lang.String colName)

  Specified by:
    `getType` in interface `ValueLookup`

### close

    public boolean close()

  Specified by:
    `close` in interface `Curser`

### recCount

    public int recCount()

  Specified by:
    `recCount` in interface `Curser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD